=== tools/CMakeLists.txt ===

install(PROGRAMS atari-hd-image.sh zip2st.sh  DESTINATION ${BINDIR})

add_subdirectory(hmsa)
