=== debian/changelog ===
hatari (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * Update to debhelper 7.
  * Adapt to CMake.
  * Add build-dependency on portaudio for Falcon microphone input.
  * Add build-dependency on readline for command line editing in the
    debugger.
  * Use python-support for python-dependencies.
  * Suggest mtools and unzip so that zip2st might actually be useful.
  * Suggest dosfstools so that atari-hd-image might actually be useful.
  * Update Standards-Version, no changes needed.
  * Remove script extensions (.sh, .py) from scripts installed into
    /usr/bin.
  * Include experimental python-ui.
  * Add manpages for newly included tools.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 19 Jun 2010 21:40:55 +0300

hatari (1.3.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 03 Oct 2009 12:33:28 +0300

hatari (1.3.0-1) unstable; urgency=low

  * New upstream release
    - Improved Falcon emulation (DSP emulation allows running many
      programs which use the DSP)
    - Improved video emulation (sync fixes)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 25 Aug 2009 20:32:45 +0300

hatari (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Fixed a bug that could write data to the wrong disk image (resulting
      in data loss)
    - Various emulation fixes (midi input, ste hardware scrolling in med res,
      etc.)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Fri, 30 Jan 2009 20:48:48 +0200

hatari (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #509856)
  * Project moved to berlios,
    * Updated Homepage and watch-file.
  * Included new documentation files.
  * Updated description.
  * Updated Standards-Version.
  * Updated Build-Depends.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 18 Jan 2009 20:38:20 +0200

hatari (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #473779). Fixes bugs in showing a lot
    of old demos.
  * Removed all patches, as they came from upstream HEAD, and are in the
    new release. Removed patch system and build-dependency on quilt.
  * Updated debhelper compatibility level to 5.
  * Updated watch file.
  * Fixed unquoted dashes in manpage
  * Set myself as maintainer.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 01 May 2008 20:54:32 +0300

hatari (0.95-2) unstable; urgency=low

  * Updated Standards-Version to 3.7.3
  * Added Homepage header.
  * Added longtitle for menu.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 06 Dec 2007 21:49:33 +0200

hatari (0.95-1) unstable; urgency=low

  * New upstream release.
  * Using quilt for patches.
  * Pulled patches from upstream cvs:
    * 10-fix-mouse-scaling-in-vdi-mode
    * 20-cfgopts-refactoring
    * 30-autoconf-datarootdir
  * Removed hatari.xpm, upstream ships an icon now.
  * Convert upstream icon when building, added build-dep on netpbm.
  * Fixed nostrip option (Closes: #437156)
  * Updated menu section for menu transition.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 11 Aug 2007 20:15:15 +0300

hatari (0.90-1) unstable; urgency=low

  * Initial upload to Debian. (Closes: #229266)

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Wed, 18 Oct 2006 19:51:25 +0300

hatari (0.80+cvs20060815-1) unstable; urgency=low

  * CVS snapshot, pre-0.84.
  * Updated debian/copyright for the actual copyright.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 15 Aug 2006 19:05:23 +0300

hatari (0.80-2) unstable; urgency=low

  * removed essential package gcc from build-depends 
  * expect the global config file in /etc instead of /usr/etc

 -- Marco Herrn <marco@mherrn.de>  Sat, 15 Oct 2005 19:45:12 +0200

hatari (0.80-1) unstable; urgency=low

  * new upstream version
    - Support for STE hardware emulation: STE palette, STE shifter (horizontal
      fine  scrolling, split screen effects), DMA sound and STE joypads.
    - Hatari can now emulate up to 14 MiB ST RAM instead of only 4 MiB.
    - Support for parallel port joysticks.
    - Improved GEMDOS HD emulation (added Fattrib() call).
    - Adding and removing a GEMDOS or ACSI hard disk should now work correctly.
    - Re-factoring of the screen conversion functions.
    - Improved manual: Now with screenshots of the options dialogs.

 -- Marco Herrn <marco@mherrn.de>  Thu, 13 Oct 2005 09:05:29 +0200

hatari (0.70-1) unstable; urgency=low

  * new upstream version
    - No more crashes when a program tries to access illegal sector numbers.
    - Improved built-in ROM cartridge.
    - Rewrote the IO memory emulation code -> Better compatibility.
    - Support for TOS 1.06 and TOS 1.62
    - Emulated CPU can now also be run at 16 MHz or 32 MHz.
    - File selection dialog scrollable with mouse wheel or cursor keys, too.
    - Hatari now works on 64-bit host CPUs, too.
    - Floppy disk images can now be set writable/write-protected in the GUI.
    - Hatari can now also load a global configuration file (e.g. /etc/hatari.cfg).
    - Configurable logging functions.
    - Code cleanup and bug fixes.        

 -- Marco Herrn <marco@mherrn.de>  Sun, 12 Jun 2005 20:06:53 +0200

hatari (0.60-2) unstable; urgency=low

  * inform the user of the changes in the config file
  * provide a new icon, because the old one would raise copyright
    problems 

 -- Marco Herrn <marco@mherrn.de>  Sun, 13 Feb 2005 17:00:25 +0100

hatari (0.60-1) unstable; urgency=low

  * new upstream version
    - mostly bugfixes
    - possibility to load external cardridge ROM images
    - improvements in the graphical user interface 
  * added a control file for the Debian BTS. Bug reports can
    now be submitted with 'reportbug'.
  * do not treat the changelog.txt file as a normal documentation file
    anymore, but instead as the upstream changelog

 -- Marco Herrn <marco@mherrn.de>  Fri, 28 Jan 2005 20:40:36 +0100

hatari (0.50-2) unstable; urgency=low

  * now includes a pixmap image

 -- Marco Herrn <marco@mherrn.de>  Sun, 24 Oct 2004 20:05:37 +0200

hatari (0.50-1) unstable; urgency=low

  * new upstream version

