=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --builddirectory=build $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	mv debian/tmp/usr/bin/atari-hd-image.sh \
	 debian/tmp/usr/bin/atari-hd-image
	mv debian/tmp/usr/bin/zip2st.sh debian/tmp/usr/bin/zip2st
	mv debian/tmp/usr/bin/hatari-console.py \
	 debian/tmp/usr/bin/hatari-console
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.txt
