## hatari 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
 
-project(Hatari)
+project(Hatari C)
 
 SET(APP_NAME "Hatari")
 
@@ -9,7 +9,7 @@
 
 include(CheckIncludeFiles)
 include(CheckFunctionExists)
-
+include(CheckCCompilerFlag)
 include(DistClean)
 
 # Set build type to "Release" if user did not specify any build type yet
@@ -30,6 +30,35 @@
     CACHE BOOL "Enable tracing messages for debugging")
 set(ENABLE_SMALL_MEM 0
     CACHE BOOL "Enable to use less memory - at the expense of emulation speed")
+set(ENABLE_WINUAE_CPU 0
+    CACHE BOOL "Enable WinUAE CPU core (experimental!)")
+
+# Run-time checks with GCC "mudflap" etc features:
+# - stack protection
+# - checking of pointer accesses
+#
+# Before running CMake, install "libmudflap<version>-<gcc-version>-dev"
+# package (libmudflap0-4.3-dev in Debian Lenny).
+#
+# After this you can configure Hatari with Mudflap:
+#   cd build; make clean; cmake -D ENABLE_MUDFLAP:BOOL=1 -D ..
+# If everything's fine, CMake output should include:
+#   Performing Test MUDFLAP_AVAILABLE - Success"
+#
+# After (re-)building Hatari, run it with something like this:
+#   MUDFLAP_OPTIONS="-viol-gdb" src/hatari --sound off --mic off
+# (sound&mic are disabled because threading doesn't work well with Mudflap)
+#
+# For more info:
+#   http://gcc.gnu.org/wiki/Mudflap_Pointer_Debugging
+#
+set(CMAKE_REQUIRED_LIBRARIES "mudflap")
+CHECK_C_COMPILER_FLAG("-fmudflapth" MUDFLAP_AVAILABLE)
+set(CMAKE_REQUIRED_LIBRARIES "")
+if(MUDFLAP_AVAILABLE)
+	set(ENABLE_MUDFLAP 0
+	    CACHE BOOL "Enable GCC run-time stack/pointer debugging - with huge slowdown")
+endif(MUDFLAP_AVAILABLE)
 
 if(APPLE)
 	set(ENABLE_OSX_BUNDLE 1
@@ -92,8 +121,6 @@
 # CPP Definitions:
 # ################
 
-add_definitions(-DCONFDIR=\"/etc\")
-
 # Test for large file support:
 execute_process(COMMAND getconf LFS_CFLAGS
                 OUTPUT_VARIABLE DETECTED_LFS_CFLAGS
@@ -132,17 +159,30 @@
 check_function_exists(select HAVE_SELECT)
 check_function_exists(posix_memalign HAVE_POSIX_MEMALIGN)
 check_function_exists(memalign HAVE_MEMALIGN)
+check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
+check_function_exists(nanosleep HAVE_NANOSLEEP)
+check_function_exists(alphasort HAVE_ALPHASORT)
+check_function_exists(scandir HAVE_SCANDIR)
 
 # #############
 # Other CFLAGS:
 # #############
 
+# GCC pointer debugging, huge run-time slowdown
+if(ENABLE_MUDFLAP)
+	# SDL mixer threads so have to use threaded mudflap version
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fstack-protector-all -fmudflapth")
+	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fmudflapth -lmudflap")
+endif(ENABLE_MUDFLAP)
+
 # Warning flags:
 if(CMAKE_COMPILER_IS_GNUCC)
-	set(CMAKE_C_FLAGS "-Wcast-qual -Wbad-function-cast -Wpointer-arith ${CMAKE_C_FLAGS}")
-	set(CMAKE_C_FLAGS "-Wmissing-prototypes -Wstrict-prototypes ${CMAKE_C_FLAGS}")
-	set(CMAKE_C_FLAGS "-Wall -Wwrite-strings -Wsign-compare ${CMAKE_C_FLAGS}")
-	# set(CMAKE_C_FLAGS "-Wshadow -Werror ${CMAKE_C_FLAGS}")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wcast-qual -Wbad-function-cast -Wpointer-arith")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-prototypes -Wstrict-prototypes")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wwrite-strings -Wsign-compare")
+	#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wextra -Wno-unused-parameter -Wno-empty-body")
+	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wformat-security")
+	#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wshadow -D_FORTIFY_SOURCE=2 -Werror")
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 # Building Hatari w/o optimization is no fun...
@@ -184,6 +224,15 @@
 	set(DOCDIR share/doc/hatari)
 endif()
 
+if(NOT ETCDIR)
+	if(WIN32)
+		set(ETCDIR .)
+	else()
+		set(ETCDIR /etc)
+	endif()
+endif()
+add_definitions(-DCONFDIR=\"${ETCDIR}\")
+
 # #########################################
 # Create config.h and recurse into subdirs:
 # #########################################
@@ -199,3 +248,6 @@
 if(PYTHONINTERP_FOUND)
 	add_subdirectory(python-ui)
 endif(PYTHONINTERP_FOUND)
+
+add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SOURCE_DIR}/cmake/Uninstall.cmake)
