=== src/debug/CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 add_library(Debug
             log.c debugui.c breakcond.c debugcpu.c debugInfo.c
-            ${DSPDBG_C} evaluate.c symbols.c)
+            ${DSPDBG_C} evaluate.c profile.c symbols.c 68kDisass.c)
