=== debian/changelog ===
hatari (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Add binfmt-support for TOS binaries.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 28 Jul 2011 15:36:38 +0300

hatari (1.4.0-2) unstable; urgency=low

  * Switch to portaudio19. (Closes: #594016)
  * Bump Standards-Version, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 26 Jun 2011 19:59:29 +0300
