=== debian/control ===
--- 
+++ 
@@ -2,13 +2,21 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev (>=1.2.6-2), zlib1g-dev, libpng12-dev, cmake, libreadline-dev, libportaudio-dev, python-support
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50),
+               libsdl1.2-dev (>=1.2.6-2),
+               zlib1g-dev,
+               libpng12-dev,
+               cmake,
+               libreadline-dev,
+               portaudio19-dev,
+               python-support
+Standards-Version: 3.9.2.0
 Homepage: http://hatari.berlios.de/
 
 Package: hatari
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Recommends: binfmt-support
 Suggests: mtools, unzip, dosfstools
 Description: Emulator for the Atari ST, STE, TT, and Falcon computers
  Hatari is an emulator for the Atari ST line of computers.
