=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --builddirectory=build $@

override_dh_install:
	dh_install -O--buildsystem=cmake -O--builddir=build
	rm debian/hatari/usr/share/hatari/tos.img
	install -m644 -D debian/binfmt debian/hatari/usr/share/binfmts/hatari

override_dh_auto_clean:
	dh_auto_clean $@
	find . -name *.pyc -exec rm -f {} \;
