=== debian/watch ===
version=3
opts=downloadurlmangle=s/prdownload/download/ \
	http://developer.berlios.de/project/showfiles.php?group_id=10436 \
	http://prdownload.berlios.de/hatari/hatari-(.*).tar.bz2
