=== debian/changelog ===
hatari (1.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 01 Jan 2012 15:59:51 +0000

hatari (1.5.0-2) unstable; urgency=low

  * Upstream moved to tuxfamily.org, update homepage and watch file
    accordingly.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Tue, 20 Dec 2011 20:05:41 +0000
