## hatari 1.6.1

=== debian/changelog ===
hatari (1.6.1-3) unstable; urgency=low

  * Use dh_python2.
  * Disable rpath usage by commanding cmake instead of removing rpath
    after the build.
  * Use -Wl,--as-needed when linking.
  * Disable cmake colour output.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 12 Feb 2012 21:38:14 +0000

hatari (1.6.1-2) unstable; urgency=low

  * Add patch fixing FTBFS when building twice in a row, forwarded
    upstream.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 21 Jan 2012 23:03:48 +0000

hatari (1.6.1-1) unstable; urgency=low

  * New upstream bugfix version, fixes monochrome mode.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 21 Jan 2012 10:55:39 +0000
