=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 8),
                libsdl1.2-dev (>=1.2.6-2),
                zlib1g-dev,
                libpng12-dev,
                cmake,
                libreadline-dev,
                portaudio19-dev,
-               python-support,
-               chrpath
-Standards-Version: 3.9.2.0
+               python
+Standards-Version: 3.9.2
 Homepage: http://hatari.tuxfamily.org/
 
 Package: hatari
