=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --builddirectory=build --with=python2 $@

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake \
	-O--builddirectory=build \
	-- \
	-DCMAKE_COLOR_MAKEFILE:BOOL=0 \
	-DCMAKE_C_FLAGS:STRING="-Wl,--as-needed" \
	-DCMAKE_CXX_FLAGS:STRING="-Wl,--as-needed"
	dh_auto_configure -O--buildsystem=cmake \
	-O--builddirectory=build-winuae \
	-- \
	-DENABLE_WINUAE_CPU:BOOL=1 \
	-DCMAKE_COLOR_MAKEFILE:BOOL=0 \
	-DCMAKE_SKIP_RPATH:BOOL=1 \
	-DCMAKE_C_FLAGS:STRING="-Wl,--as-needed" \
	-DCMAKE_CXX_FLAGS:STRING="-Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build -O--buildsystem=cmake -O--builddirectory=build
	dh_auto_build -O--buildsystem=cmake -O--builddirectory=build-winuae

override_dh_install:
	dh_install --sourcedir=build

	# Install WinUAE version of hatari binary
	# Rename file
	mv build-winuae/src/hatari build-winuae/src/hatari-winuae
	dh_install --sourcedir=build-winuae src/hatari-winuae /usr/bin

	# Remove bundled EmuTOS image
	rm debian/hatari/usr/share/hatari/tos.img

	# Install binfmt support for atari binaries
	install -m644 -D debian/binfmt debian/hatari/usr/share/binfmts/hatari

override_dh_installman:
	dh_installman
	dh_installman debian/hatari-winuae.1

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=cmake -O--builddir=build
	dh_auto_clean -O--buildsystem=cmake -O--builddirectory=build-winuae
	find . -name *.pyc -exec rm -f {} \;
