## hatari 1.6.2

=== debian/changelog ===
hatari (1.6.2-1) unstable; urgency=low

  * New upstream version.
    Highlights:
    - Fix 224 byte STE overscan, making Antiques by Dune work.
    - Improve audio filters for YM2149 and DMA sound.
    - Make WinUAE cpu core default to Falcon mode, and fix TOS 1.x with
      the WinUAE cpu core.
  * Build-Depend on libpng-dev instead of libpng12-dev. (Closes: #662369)
  * Use hardened build flags.
  * Bump Standards-Version, no changes needed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sun, 24 Jun 2012 15:13:16 +0100
