=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: otherosfs
 Priority: optional
 Maintainer: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libsdl1.2-dev (>=1.2.6-2),
                zlib1g-dev,
-               libpng12-dev,
+               libpng-dev,
                cmake,
                libreadline-dev,
                portaudio19-dev,
                python
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://hatari.tuxfamily.org/
 
 Package: hatari
